<html>
<head>
<title>OgreScriptLexer.h File Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_aff4b7fb8d70b825eb8a2d7b3cbd2684.html">OgreMain</a>      </li>
      <li class="navelem"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a> &#124;
<a href="#typedef-members">Typedefs</a> &#124;
<a href="#enum-members">Enumerations</a>  </div>
  <div class="headertitle">
<div class="title">OgreScriptLexer.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="OgrePrerequisites_8h_source.html">OgrePrerequisites.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreSharedPtr_8h_source.html">OgreSharedPtr.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreDataStream_8h_source.html">OgreDataStream.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreStringConverter_8h_source.html">OgreStringConverter.h</a>&quot;</code><br/>
</div>
<p><a href="OgreScriptLexer_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ScriptToken.html">Ogre::ScriptToken</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">This struct represents a token, which is an ID'd lexeme from the parsing input stream.  <a href="structOgre_1_1ScriptToken.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ScriptLexer.html">Ogre::ScriptLexer</a></td></tr>
<tr><td colspan="2"><h2><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">namespace &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html">Ogre</a></td></tr>
<tr><td colspan="2"><h2><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef SharedPtr&lt; ScriptToken &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__General.html#ga836dfb2604ddbe9a5a43644ee826e41e">Ogre::ScriptTokenPtr</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef vector&lt; ScriptTokenPtr &gt;<br class="typebreak"/>
::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__General.html#gaf5d5c336a97b2fd3dce37648e968c51c">Ogre::ScriptTokenList</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef SharedPtr<br class="typebreak"/>
&lt; ScriptTokenList &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__General.html#gacd063ace8e2697904ef8c500b1096902">Ogre::ScriptTokenListPtr</a></td></tr>
<tr><td colspan="2"><h2><a name="enum-members"></a>
Enumerations</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom">{ <br/>
&#160;&#160;<a class="el" href="group__General.html#ggab147e6cc4966a93d6035190c6e3572a4aae39847e17513a577aca5635a97521be">Ogre::TID_LBRACKET</a> =  0, 
<a class="el" href="group__General.html#ggab147e6cc4966a93d6035190c6e3572a4a712a771181ea5b86bfde241d6a2d8993">Ogre::TID_RBRACKET</a>, 
<a class="el" href="group__General.html#ggab147e6cc4966a93d6035190c6e3572a4a878d2261acfefcb0d7300c8c45b5c02d">Ogre::TID_COLON</a>, 
<a class="el" href="group__General.html#ggab147e6cc4966a93d6035190c6e3572a4a0b23f6bf647e3b550221beb8a573b893">Ogre::TID_VARIABLE</a>, 
<br/>
&#160;&#160;<a class="el" href="group__General.html#ggab147e6cc4966a93d6035190c6e3572a4a86bb0fccced23e5307a00cceb95790b5">Ogre::TID_WORD</a>, 
<a class="el" href="group__General.html#ggab147e6cc4966a93d6035190c6e3572a4a77ce47edadffee44efce275d84f25136">Ogre::TID_QUOTE</a>, 
<a class="el" href="group__General.html#ggab147e6cc4966a93d6035190c6e3572a4a43223177f86aeb6a731970fec69dc4ad">Ogre::TID_NEWLINE</a>, 
<a class="el" href="group__General.html#ggab147e6cc4966a93d6035190c6e3572a4a77822e20ddde8583a6b89408ab2a29b3">Ogre::TID_UNKNOWN</a>, 
<br/>
&#160;&#160;<a class="el" href="group__General.html#ggab147e6cc4966a93d6035190c6e3572a4a28c5d661274c02f913e9114e8dfedab9">Ogre::TID_END</a>
<br/>
 }</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">These codes represent token IDs which are numerical translations of specific lexemes.  <a href="group__General.html#gab147e6cc4966a93d6035190c6e3572a4">More...</a><br/></td></tr>
</table>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:53
</p>
</body>
</html>
